Bug 252178 - emulators/ucon64: Update to 2.2.1
Summary: emulators/ucon64: Update to 2.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://ucon64.sourceforge.io/ucon64/...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-27 00:11 UTC by Kai Knoblich
Modified: 2021-01-19 11:33 UTC (History)
1 user (show)

See Also:
root: maintainer-feedback+


Attachments
ucon64-2.2.1.patch (8.02 KB, patch)
2020-12-27 00:11 UTC, Kai Knoblich
no flags Details | Diff
ucon64-2.2.1-v2.patch (7.65 KB, patch)
2020-12-28 09:19 UTC, Kai Knoblich
no flags Details | Diff
ucon64-2.2.1-v3.patch (7.99 KB, patch)
2020-12-29 21:01 UTC, Kai Knoblich
root: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-12-27 00:11:52 UTC
Created attachment 220970 [details]
ucon64-2.2.1.patch

Hi, 

attached is the patch that updates emulators/ucon64 to 2.2.1. I was informed by dbjh (upstream), who also supplied the additional patches for the "change_mem2" function that avoid crashes on 64-bit systems.

Changes to the port:
~~~~~~~~~~~~~~~~~~~~
* Introduce option CD64 to enable support for the CD64 backup unit.
* Additional patches that remove some hardcoded optimization/warning flags from the makefiles.
* Update WWW field to spare users from redirects to new location.

QA:
~~~
- poudriere -> OK (11.4-, 12.1, 12.2-RELEASE, 13.0-CURRENT@r368820 amd64 i386)
Comment 1 Kai Knoblich freebsd_committer 2020-12-28 09:19:07 UTC
Created attachment 221041 [details]
ucon64-2.2.1-v2.patch

Attached is an updated patch with a revised "CD64" option.
Comment 2 Allison Reid 2020-12-28 20:03:54 UTC
Looks good, thank you! A comment on the patches known to be obsolete in the next upstream release (e.g. change_mem2) would be nice if you end up rolling a V3, since I'm not sure if the "WIP" here implies a 2.2.2 is imminent or not: https://sourceforge.net/p/ucon64/svn/2826/
Comment 3 Kai Knoblich freebsd_committer 2020-12-29 21:01:04 UTC
Created attachment 221091 [details]
ucon64-2.2.1-v3.patch

(In reply to Allison Reid from comment #2)

No problem, thank you for your feedback!  Attached is an updated patch which
contains the relevant information that the patches with the next release of
uCON64 will become obsolete.

The 2.2.2 WIP release is a marker set by upstream indicating that the "patching
phase" (which brought up the "change_mem2()" hotfixes) is over and all further
changes are part of the upcoming 2.2.2 release.

The same was done in r2744 [1] for the 2.2.1 release when the first work was
done on it.  I think it will take a little while before 2.2.2 is officially
released.

If you're fine with v3 of the patch, can you please approve the patch by setting the "maintainer-approval" flag to '+'? (reachable via the "Details" link at
"Attachments")
--
[1] https://sourceforge.net/p/ucon64/svn/2744/
Comment 4 commit-hook freebsd_committer 2021-01-19 11:32:06 UTC
A commit references this bug:

Author: kai
Date: Tue Jan 19 11:31:06 UTC 2021
New revision: 562044
URL: https://svnweb.freebsd.org/changeset/ports/562044

Log:
  emulators/ucon64: Update to 2.2.1

  * Add support for CD64 backup units via new default option CD64. [1]

  * Update WWW field. [1]

  Changelog:

  https://ucon64.sourceforge.io/ucon64/changes.html

  PR:		252178
  Reported by:	Dani?l H?rchner (via e-mail) [1]
  Approved by:	Nicole Reid <root@cooltrainer.org> (maintainer)

Changes:
  head/emulators/ucon64/Makefile
  head/emulators/ucon64/distinfo
  head/emulators/ucon64/files/patch-Makefile
  head/emulators/ucon64/files/patch-backup_libcd64_Makefile
  head/emulators/ucon64/files/patch-libdiscmage_Makefile.in
  head/emulators/ucon64/files/patch-libdiscmage_misc.c
  head/emulators/ucon64/files/patch-misc_misc.c
  head/emulators/ucon64/pkg-descr
Comment 5 Kai Knoblich freebsd_committer 2021-01-19 11:33:00 UTC
Committed, thanks!